net.sourceforge.pmd.symboltable

## Class LocalScopeTest

- java.lang.Object
- - net.sourceforge.pmd.symboltable.STBBaseTst
  - - net.sourceforge.pmd.symboltable.LocalScopeTest

    public class LocalScopeTest
    extends STBBaseTst

### Field Summary

Fields
`static String` `TEST1`
`static String` `TEST2`
`static String` `TEST3`
`static String` `TEST4`
`static String` `TEST5`

### Fields inherited from class net.sourceforge.pmd.symboltable.STBBaseTst

`acu, stb`

### Constructor Summary

Constructors
Constructor and Description
`LocalScopeTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testgetEnclosingMethodScope()`
`void` `testLocalVariableDeclarationFound()`
`void` `testLocalVariableTypesAreRecorded()`
`void` `testMethodArgumentTypesAreRecorded()`
`void` `testNameWithSuperIsNotFlaggedAsUnused()`
`void` `testNameWithThisOrSuperIsNotFlaggedAsUnused()`
`void` `testPostfixUsageIsRecorded()`
`void` `testQualifiedNameOccurrence()`

### Methods inherited from class net.sourceforge.pmd.symboltable.STBBaseTst

`parseCode, parseCode, parseCode15`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TEST1

    public static final String TEST1

#### TEST2

    public static final String TEST2

#### TEST3

    public static final String TEST3

#### TEST4

    public static final String TEST4

#### TEST5

    public static final String TEST5

### Constructor Detail

#### LocalScopeTest

    public LocalScopeTest()

### Method Detail

#### testNameWithThisOrSuperIsNotFlaggedAsUnused

    public void testNameWithThisOrSuperIsNotFlaggedAsUnused()

#### testNameWithSuperIsNotFlaggedAsUnused

    public void testNameWithSuperIsNotFlaggedAsUnused()

#### testLocalVariableDeclarationFound

    public void testLocalVariableDeclarationFound()

#### testQualifiedNameOccurrence

    public void testQualifiedNameOccurrence()

#### testPostfixUsageIsRecorded

    public void testPostfixUsageIsRecorded()

#### testLocalVariableTypesAreRecorded

    public void testLocalVariableTypesAreRecorded()

#### testMethodArgumentTypesAreRecorded

    public void testMethodArgumentTypesAreRecorded()

#### testgetEnclosingMethodScope

    public void testgetEnclosingMethodScope()

#### suite

    public static junit.framework.Test suite()